Menus

Get a menu tree

Use this method to get a menu tree displayed in the Trader's Room.

GET
/api/v2/my/menus

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

sort_order?string

Sorts the items in ascending or descending order

Default"desc"

Value in

  • "asc"
  • "desc"
deep?integer

If 1, a full menu tree is returned. If 0 (the default value), only direct child items of the root menu item are returned.

Value in

  • 0
  • 1
filter?

Filters the items by a specified value

sort_by?string

Sorts the items by a specified value

Default"priority"

Value in

  • "priority"
  • "name"
  • "caption"

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/menus?sort_order=desc" \  -H "accept-language: ja"
[  {    "id": 1,    "caption": "Dashboard",    "name": "dashboard",    "new": true,    "priority": 2,    "type": "default",    "localizedCaption": "string",    "externalUrl": "string",    "icon": "string",    "customAware": {      "behavior": "same_tab"    },    "items": [      null    ]  }]
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}